summaryrefslogtreecommitdiffstats
path: root/libraries/guichan/guichan.SlackBuild
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 19:45:02 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 19:45:02 +0200
commitf853dec0d1b0ca138a9365db1c9b7c1d2f48cc4f (patch)
treefe813db4d1dd055537e772f30b4d399460bb7396 /libraries/guichan/guichan.SlackBuild
parente565c4eecf95d94afc4bfac073d7112bf818c075 (diff)
downloadslackbuilds-f853dec0d1b0ca138a9365db1c9b7c1d2f48cc4f.tar.gz
slackbuilds-f853dec0d1b0ca138a9365db1c9b7c1d2f48cc4f.tar.xz
libraries/guichan: Updated for version 0.6.1
Diffstat (limited to 'libraries/guichan/guichan.SlackBuild')
-rw-r--r--libraries/guichan/guichan.SlackBuild13
1 files changed, 7 insertions, 6 deletions
diff --git a/libraries/guichan/guichan.SlackBuild b/libraries/guichan/guichan.SlackBuild
index e7c3cfa639..b9599938e7 100644
--- a/libraries/guichan/guichan.SlackBuild
+++ b/libraries/guichan/guichan.SlackBuild
@@ -2,13 +2,14 @@
# Slackware build script for guichan
# Written by Erik Hanson erik@slackbuilds.org
+# Modified for version 0.6.1 by ppr:kut <hmwiesinger@gmx.at>
PRGNAM=guichan
-VERSION=0.5.0
+VERSION=0.6.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -22,9 +23,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
-rm -rf $PRGNAM-$VERSION-src
-tar xzvf $CWD/$PRGNAM-$VERSION-src.tar.gz || exit 1
-cd $PRGNAM-$VERSION-src || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
@@ -44,7 +45,7 @@ make install DESTDIR=$PKG || exit 1
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -ar AUTHORS COPYING ChangeLog NEWS README TODO docs/html \
+cp -ar AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild